<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.elytron">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-authentication-context,default-ssl-context,disallowed-providers,final-providers,initial-providers,register-jaspi-factory,security-properties"/>
        <elem name="addr-params" value="profile,host,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.elytron"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.security.elytron"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.authentication-context.$default-authentication-context" optional="true"/>
        <capability name="$profile.org.wildfly.security.providers.$initial-providers" optional="true"/>
        <capability name="$profile.org.wildfly.security.ssl-context.$default-ssl-context" optional="true"/>
        <capability name="$profile.org.wildfly.security.providers.$final-providers" optional="true"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
        <ref feature="host" nillable="true"/>
    </refs>
    <params>
        <param name="disallowed-providers" nillable="true" type="List&lt;String&gt;"/>
        <param name="extension" default="org.wildfly.extension.elytron"/>
        <param name="default-ssl-context" nillable="true"/>
        <param name="security-properties" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="default-authentication-context" nillable="true"/>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="elytron"/>
        <param name="final-providers" nillable="true"/>
        <param name="initial-providers" nillable="true"/>
        <param name="register-jaspi-factory" nillable="true"/>
    </params>
    <packages>
        <package name="org.wildfly.security.elytron"/>
        <package name="org.wildfly.extension.elytron"/>
    </packages>
</feature-spec>